[jitsi-dev] Jitsi build error


#1

It worked on friday. Today, when I did `git pull` and `ant make`, I got this:

compile:
    [javac] Compiling 1 source file to /home/pitel/ipex/jitsi/classes
    [javac] warning: [options] bootstrap class path not set in conjunction with -source 1.6
    [javac] 1 warning
    [javac] Compiling 1 source file to /home/pitel/ipex/jitsi/classes
    [javac] warning: [options] bootstrap class path not set in conjunction with -source 1.4
    [javac] /home/pitel/ipex/jitsi/src/net/java/sip/communicator/launcher/BrowserLauncher.java:54: error: annotations are not supported in -source 1.4
    [javac] @Override
    [javac] ^
    [javac] (use -source 5 or higher to enable annotations)
    [javac] 1 error
    [javac] 1 warning

···

________________________________

Prohlásení: k tomuto e-mailu je pripojeno prohlásení, jehoz
plné znení naleznete na stránce http://www.ipex.cz/prohlaseni


#2

/home/pitel/ipex/jitsi/src/net/java/sip/communicator/launcher/BrowserLauncher.java:54:
error: annotations are not supported in -source 1.4

    [javac] @Override

Thank you for the report! Please git pull again, I removed the
offending @Override.

···

2013/5/27 Jan Kaláb <kalab@ipex.cz>: